package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.EntryBase;

public class PcmEntry extends EntryBase implements Comparable<PcmEntry> {
    private String updated;
    private Category category;

    public PcmEntry() {
    }

    public String getUpdated() {
        return updated;
    }

    public void setUpdated(String updated) {
        this.updated = updated;
    }

    public Category getCategory() {
        return category;
    }

    public void setCategory(Category category) {
        this.category = category;
    }

    @Override
    public int compareTo(PcmEntry o) {
        return this.updated.compareTo(o.getUpdated());
    }
}
